Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica
Class Transform

    java.lang.Object
      net.sf.saxon.Transform
          com.saxonica.Transform

    public class Transform

extends Transform

This is a schema-aware version of the command line interface for running XSLT transformations

Constructor Summary
`Transform()`

Method Summary
`Configuration` | `getConfiguration()` Get the configuration.
`static void` | `main(String[] args)` Main program, can be used directly from the command line.
`void` | `setFactoryConfiguration(boolean schemaAware, String className)` Set the configuration in the TransformerFactory.
`void` | `setPOption(Configuration config)`

Methods inherited from class net.sf.saxon.Transform
`doTransform, loadDocuments, now, preprocess, processDirectory, processDirectoryAssoc, processFile, processFileAssoc`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transform

    public Transform()

Method Detail

### setFactoryConfiguration

    public void setFactoryConfiguration(boolean schemaAware,
                                        String className)

  Set the configuration in the TransformerFactory. This is designed to be overridden in a subclass

  Overrides:
    `setFactoryConfiguration` in class `Transform`
  Parameters:
    `schemaAware` -
    `className` - Name of the schema-aware Configuration class to be loaded. Designed for use by .NET; can normally be null.

### getConfiguration

    public Configuration getConfiguration()

  Description copied from class: `Transform`
  Get the configuration.

### setPOption

    public void setPOption(Configuration config)

  Overrides:
    `setPOption` in class `Transform`

### main

    public static void main(String[] args)
                     throws Exception

  Main program, can be used directly from the command line.

  The format is:

  java net.sf.saxon.Transform [options] source-file style-file >output-file

  followed by any number of parameters in the form {keyword=value}... which can be referenced from within the stylesheet.

  This program applies the XSL style sheet in style-file to the source XML document in source-file.

  Parameters:
    `args` - List of arguments supplied on operating system command line
  Throws:
    `Exception` - Indicates that a compile-time or run-time error occurred

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.